diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbNullMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbNullMapper.java
index d61d983732..abd5165a04 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbNullMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbNullMapper.java
@@ -1,67 +1,68 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.Types;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * Mapper that inserts <code>null</code> to the target field.
- *
- * @see DbExportIgnoreMapper
- * @see DbExportNotYetImplementedMapper
- *
- * @author a.mueller
- * @since 12.05.2009
- */
-public class DbNullMapper
-        extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
-
-    @SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbNullMapper.class);
-
-    private int sqlType;
-
-	public static DbNullMapper NewInstance(String dbIdAttributeString, int sqlType){
-		return new DbNullMapper(dbIdAttributeString, sqlType);
-	}
-
-    public static DbNullMapper NewIntegerInstance(String dbIdAttributeString){
-        return new DbNullMapper(dbIdAttributeString, Types.INTEGER);
-    }
-
-    public static DbNullMapper NewStringInstance(String dbIdAttributeString){
-        return new DbNullMapper(dbIdAttributeString, Types.NVARCHAR);
-    }
-
-	protected DbNullMapper(String dbAttributeString, int sqlType) {
-		super(null, dbAttributeString, null);
-		this.sqlType = sqlType;
-	}
-
-	@Override
-	public Class<?> getTypeClass() {
-		return Integer.class;
-	}
-
-	@Override
-	protected Object getValue(CdmBase cdmBase) {
-		return null;
-	}
-
-	@Override
-	protected int getSqlType() {
-		return this.sqlType;
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.Types;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * Mapper that inserts <code>null</code> to the target field.
+ *
+ * @see DbExportIgnoreMapper
+ * @see DbExportNotYetImplementedMapper
+ *
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class DbNullMapper
+        extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+    private int sqlType;
+
+	public static DbNullMapper NewInstance(String dbIdAttributeString, int sqlType){
+		return new DbNullMapper(dbIdAttributeString, sqlType);
+	}
+
+    public static DbNullMapper NewIntegerInstance(String dbIdAttributeString){
+        return new DbNullMapper(dbIdAttributeString, Types.INTEGER);
+    }
+
+    public static DbNullMapper NewStringInstance(String dbIdAttributeString){
+        return new DbNullMapper(dbIdAttributeString, Types.NVARCHAR);
+    }
+
+	protected DbNullMapper(String dbAttributeString, int sqlType) {
+		super(null, dbAttributeString, null);
+		this.sqlType = sqlType;
+	}
+
+	@Override
+	public Class<?> getTypeClass() {
+		return Integer.class;
+	}
+
+	@Override
+	protected Object getValue(CdmBase cdmBase) {
+		return null;
+	}
+
+	@Override
+	protected int getSqlType() {
+		return this.sqlType;
+	}
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbObjectMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbObjectMapper.java
index 114ebc685e..3d0dc25e22 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbObjectMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbObjectMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 import java.sql.Types;
 import java.util.Set;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 import org.hibernate.Hibernate;
 
 import eu.etaxonomy.cdm.io.common.DbExportConfiguratorBase;
@@ -28,7 +29,7 @@ import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 public class DbObjectMapper
         extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>>{
 
-	private static final Logger logger = LogManager.getLogger(DbObjectMapper.class);
+	private static final Logger logger = LogManager.getLogger();
 
 	boolean isCache;
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
index 05f3e219d2..b3e4b87878 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
@@ -11,7 +11,8 @@ package eu.etaxonomy.cdm.io.common.mapping.out;
 
 import java.sql.Types;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.DbExportStateBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
@@ -22,11 +23,11 @@ import eu.etaxonomy.cdm.model.reference.OriginalSourceBase;
 /**
  * @author a.mueller
  * @since 12.05.2009
- * @version 1.0
  */
 public class DbOriginalNameMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbOriginalNameMapper.class);
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
 
 	private boolean isCache = false;
 
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSequenceMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSequenceMapper.java
index 655b6b74ea..1999195162 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSequenceMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSequenceMapper.java
@@ -1,81 +1,83 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
-* http://www.e-taxonomy.eu
-* 
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.Types;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * @author a.mueller
- * @since 12.05.2009
- * @version 1.0
- */
-public class DbSequenceMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(DbSequenceMapper.class);
-	private int sqlType = Types.INTEGER; ;
-	private int sequence;
-	private int start = 0;
-	
-	public static DbSequenceMapper NewInstance(String dbAttributeString){
-		return new DbSequenceMapper(dbAttributeString, 0);
-	}
-
-	
-	public static DbSequenceMapper NewInstance(String dbAttributeString, int start){
-		return new DbSequenceMapper(dbAttributeString, start);
-	}
-	
-	/**
-	 * @param dbAttributString
-	 * @param cdmAttributeString
-	 */
-	protected DbSequenceMapper(String dbAttributeString, int start) {
-		super(null, dbAttributeString, null);
-		this.start = start;
-		this.reset();
-	}
-	
-	public void reset(){
-		this.sequence = this.start;
-	}
-
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.CdmSingleAttributeMapperBase#getTypeClass()
-	 */
-	@Override
-	public Class<?> getTypeClass() {
-		return Integer.class;
-	}
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.DbSingleAttributeExportMapperBase#getValue()
-	 */
-	@Override
-	protected Object getValue(CdmBase cdmBase) {
-		return this.sequence++;
-	}
-	
-	
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.DbSingleAttributeExportMapperBase#getValueType()
-	 */
-	@Override
-	protected int getSqlType() {
-		return this.sqlType;
-	}
-	
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.Types;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * @author a.mueller
+ * @since 12.05.2009
+ */
+public class DbSequenceMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> implements IDbExportMapper<DbExportStateBase<?, IExportTransformer>, IExportTransformer>{
+
+    @SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+	private int sqlType = Types.INTEGER;
+	private int sequence;
+	private int start = 0;
+
+	public static DbSequenceMapper NewInstance(String dbAttributeString){
+		return new DbSequenceMapper(dbAttributeString, 0);
+	}
+
+
+	public static DbSequenceMapper NewInstance(String dbAttributeString, int start){
+		return new DbSequenceMapper(dbAttributeString, start);
+	}
+
+	/**
+	 * @param dbAttributString
+	 * @param cdmAttributeString
+	 */
+	protected DbSequenceMapper(String dbAttributeString, int start) {
+		super(null, dbAttributeString, null);
+		this.start = start;
+		this.reset();
+	}
+
+	public void reset(){
+		this.sequence = this.start;
+	}
+
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.io.common.CdmSingleAttributeMapperBase#getTypeClass()
+	 */
+	@Override
+	public Class<?> getTypeClass() {
+		return Integer.class;
+	}
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.DbSingleAttributeExportMapperBase#getValue()
+	 */
+	@Override
+	protected Object getValue(CdmBase cdmBase) {
+		return this.sequence++;
+	}
+
+
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.io.berlinModel.out.mapper.DbSingleAttributeExportMapperBase#getValueType()
+	 */
+	@Override
+	protected int getSqlType() {
+		return this.sqlType;
+	}
+
+}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSimpleFilterMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSimpleFilterMapper.java
index 55db477975..429358b144 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSimpleFilterMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbSimpleFilterMapper.java
@@ -1,109 +1,111 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping.out;
-
-import java.sql.PreparedStatement;
-import java.sql.SQLException;
-import java.util.HashSet;
-import java.util.Set;
-
-import org.apache.commons.lang.StringUtils;
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbExportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * This mapper removes objects from the stream of objects to be mapped.
- * This is a very preliminary implementation. In future there will be at least an
- * interface to implement and some more parameter to better define which values to include/exclude.
- *
- * Current implementation
- *
- * @author a.mueller
- * @since 13.02.2012
- */
-public class DbSimpleFilterMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
-	private static final Logger logger = LogManager.getLogger(DbSimpleFilterMapper.class);
-
-	/**
-	 * Returns a filter mapper which filters out objects which have
-	 * <code>null</code> value for the given source attribute.
-	 */
-	public static DbSimpleFilterMapper NewSingleNullAttributeInstance(String cdmFilterCriterionAttribute, String reason){
-	    Set<Object> notAllowedValues = new HashSet<>();
-	    notAllowedValues.add(null);
-	    return new DbSimpleFilterMapper(null, cdmFilterCriterionAttribute, null, notAllowedValues, null, reason);
-	}
-
-    public static DbSimpleFilterMapper NewAllowedValueInstance(String cdmFilterCriterionAttribute,
-            Set<?> allowedValues, Set<?> notAllowedValues, String reason){
-        return new DbSimpleFilterMapper(null, cdmFilterCriterionAttribute,
-                allowedValues, notAllowedValues, null, reason);
-    }
-
-//*************************** VARIABLES ***************************************************************//
-
-	private String filterReason;
-	private Set<?> allowedValues;
-	private Set<?> notAllowedValues;
-
-
-//*************************** CONSTRUCTOR ***************************************************************//
-
-	protected DbSimpleFilterMapper(String dbAttributString, String cdmAttributeString,
-	        Set<?> allowedValues, Set<?> notAllowedValues, Object defaultValue, String filterReason) {
-		super(cdmAttributeString, dbAttributString, defaultValue);
-		this.filterReason = filterReason;
-		this.allowedValues = allowedValues;
-		this.notAllowedValues = notAllowedValues;
-	}
-
-	@Override
-	public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase state, String tableName) {
-		String attributeName = this.getDestinationAttribute();
-		String localReason = "";
-		if (StringUtils.isNotBlank(filterReason)){
-			localReason = " (" + filterReason +")";
-		}
-		logger.info(" Some objects are filtered on " + attributeName + "." +  localReason);
-		exportMapperHelper.initializeNull(stmt, state, tableName);
-	}
-
-	@Override
-	protected boolean doInvoke(CdmBase cdmBase) throws SQLException {
-		if (isFiltered(cdmBase)){
-			return false;
-		}else{
-			return true; // do nothing
-		}
-	}
-
-	private boolean isFiltered(CdmBase cdmBase) {
-		Object value = super.getValue(cdmBase);
-		if (allowedValues != null && !allowedValues.contains(value)){
-		    return true;  //filtered out
-		}else if (notAllowedValues.contains(value)){
-		    return true;
-		}else{
-		    return false;
-		}
-	}
-
-	@Override
-	public Class getTypeClass() {
-		return null;  //not needed
-	}
-
-	@Override
-	protected int getSqlType() {
-		return -1;  // not needed
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping.out;
+
+import java.sql.PreparedStatement;
+import java.sql.SQLException;
+import java.util.HashSet;
+import java.util.Set;
+
+import org.apache.commons.lang.StringUtils;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbExportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * This mapper removes objects from the stream of objects to be mapped.
+ * This is a very preliminary implementation. In future there will be at least an
+ * interface to implement and some more parameter to better define which values to include/exclude.
+ *
+ * Current implementation
+ *
+ * @author a.mueller
+ * @since 13.02.2012
+ */
+public class DbSimpleFilterMapper extends DbSingleAttributeExportMapperBase<DbExportStateBase<?, IExportTransformer>> {
+
+    private static final Logger logger = LogManager.getLogger();
+
+	/**
+	 * Returns a filter mapper which filters out objects which have
+	 * <code>null</code> value for the given source attribute.
+	 */
+	public static DbSimpleFilterMapper NewSingleNullAttributeInstance(String cdmFilterCriterionAttribute, String reason){
+	    Set<Object> notAllowedValues = new HashSet<>();
+	    notAllowedValues.add(null);
+	    return new DbSimpleFilterMapper(null, cdmFilterCriterionAttribute, null, notAllowedValues, null, reason);
+	}
+
+    public static DbSimpleFilterMapper NewAllowedValueInstance(String cdmFilterCriterionAttribute,
+            Set<?> allowedValues, Set<?> notAllowedValues, String reason){
+        return new DbSimpleFilterMapper(null, cdmFilterCriterionAttribute,
+                allowedValues, notAllowedValues, null, reason);
+    }
+
+//*************************** VARIABLES ***************************************************************//
+
+	private String filterReason;
+	private Set<?> allowedValues;
+	private Set<?> notAllowedValues;
+
+
+//*************************** CONSTRUCTOR ***************************************************************//
+
+	protected DbSimpleFilterMapper(String dbAttributString, String cdmAttributeString,
+	        Set<?> allowedValues, Set<?> notAllowedValues, Object defaultValue, String filterReason) {
+		super(cdmAttributeString, dbAttributString, defaultValue);
+		this.filterReason = filterReason;
+		this.allowedValues = allowedValues;
+		this.notAllowedValues = notAllowedValues;
+	}
+
+	@Override
+	public void initialize(PreparedStatement stmt, IndexCounter index, DbExportStateBase state, String tableName) {
+		String attributeName = this.getDestinationAttribute();
+		String localReason = "";
+		if (StringUtils.isNotBlank(filterReason)){
+			localReason = " (" + filterReason +")";
+		}
+		logger.info(" Some objects are filtered on " + attributeName + "." +  localReason);
+		exportMapperHelper.initializeNull(stmt, state, tableName);
+	}
+
+	@Override
+	protected boolean doInvoke(CdmBase cdmBase) throws SQLException {
+		if (isFiltered(cdmBase)){
+			return false;
+		}else{
+			return true; // do nothing
+		}
+	}
+
+	private boolean isFiltered(CdmBase cdmBase) {
+		Object value = super.getValue(cdmBase);
+		if (allowedValues != null && !allowedValues.contains(value)){
+		    return true;  //filtered out
+		}else if (notAllowedValues.contains(value)){
+		    return true;
+		}else{
+		    return false;
+		}
+	}
+
+	@Override
+	public Class getTypeClass() {
+		return null;  //not needed
+	}
+
+	@Override
+	protected int getSqlType() {
+		return -1;  // not needed
+	}
+}
